osgViewer::OpenGLQuerySupport Class Referenceabstract

`#include <Renderer>`

Inheritance diagram for osgViewer::OpenGLQuerySupport:

## Public Member Functions

| OpenGLQuerySupport ()
virtual void | checkQuery (osg::Stats *stats, osg::State *state, osg::Timer_t startTick)=0
virtual void | beginQuery (unsigned int frameNumber, osg::State *state)=0
virtual void | endQuery (osg::State *state)=0
virtual void | initialize (osg::State *state, osg::Timer_t startTick)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

const osg::GLExtensions * | _extensions
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Constructor & Destructor Documentation

## OpenGLQuerySupport()

osgViewer::OpenGLQuerySupport::OpenGLQuerySupport | ( |  | ) |

## Member Function Documentation

## beginQuery()

virtual void osgViewer::OpenGLQuerySupport::beginQuery | ( | unsigned int | frameNumber,
|  | osg::State * | state )

pure virtual

## checkQuery()

virtual void osgViewer::OpenGLQuerySupport::checkQuery | ( | osg::Stats * | stats,
|  | osg::State * | state,
|  | osg::Timer_t | startTick )

pure virtual

## endQuery()

virtual void osgViewer::OpenGLQuerySupport::endQuery | ( | osg::State * | state | ) |

pure virtual

## initialize()

virtual void osgViewer::OpenGLQuerySupport::initialize | ( | osg::State * | state,
|  | osg::Timer_t | startTick )

virtual

## Member Data Documentation

## _extensions

const osg::GLExtensions* osgViewer::OpenGLQuerySupport::_extensions

protected

The documentation for this class was generated from the following file:

- Renderer